Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class ForEachNode.ForEachSplitNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.ForEachNode.ForEachSplitNode

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

Enclosing class:
  ForEachNode

    public class ForEachNode.ForEachSplitNode

extends ExtendedNodeImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`ForEachNode.ForEachSplitNode()`

Method Summary

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachNode.ForEachSplitNode

    public ForEachNode.ForEachSplitNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.